QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions
QXmppEntityTimeManager Class Reference
Managers

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time. More...

`#include <QXmppEntityTimeManager.h>`

Inheritance diagram for QXmppEntityTimeManager:

List of all members.

## Signals
void | timeReceived (const QXmppEntityTimeIq &)
| This signal is emitted when a time response is received.
## Public Member Functions
QString | requestTime (const QString &jid)

## Detailed Description

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time.

## Member Function Documentation

QString QXmppEntityTimeManager::requestTime | ( | const QString & | jid | ) |

Request the time from an XMPP entity.

Parameters:

  jid |

The documentation for this class was generated from the following files:

- QXmppEntityTimeManager.h
- QXmppEntityTimeManager.cpp

All Classes Functions Enumerations Enumerator Properties